#include <iostream>
#include <list>
using namespace std;

#include "../syssoft_linux.cpp"

#include "fifo.cpp"

void Receiver ( Fifo *p, size_t message_size ) {
	char message[message_size];
	int n_42;
	do {
		p->receive(message,message_size);
		n_42 = 0;
		for (int i=0; i<message_size; i++)
			if (message[i] == (char) 42) n_42++;
	} while (n_42 != message_size);
}

// ***********************************************************************
// Main
// ***********************************************************************

int main ( int ac, char ** av, char **env ) {

	if (ac != 3) {
		cerr << "usage: " << av[0] << " <fifo name> <message_size>" << endl;
		exit(0);
	}

	char *fifo_name = av[1];
	size_t message_size = atol(av[2]);

	Fifo p(fifo_name,false);

	Receiver(&p,message_size);
}




